Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.java4less.rchart.gc
Class ChartColor

    java.lang.Object
      |
      +--com.java4less.rchart.gc.ChartColor

public abstract class ChartColor
extends java.lang.Object

    Wrapper for the AWT or SWT Color class. Use GraphicsProvider.getColor() to create an instance of this class.
     This class allows rchart to work independtly from AWT and SWT.

Field Summary
`static java.lang.String` | `ALICEBLUE`
`static java.lang.String` | `ANTIQUEWHITE`
`static java.lang.String` | `AQUA`
`static java.lang.String` | `AQUAMARINE`
`static java.lang.String` | `AZURE`
`static java.lang.String` | `BEIGE`
`static java.lang.String` | `BLACK`
`static java.lang.String` | `BLUE`
`static java.lang.String` | `BLUEVIOLET`
`static java.lang.String` | `BORLYWOOD`
`static java.lang.String` | `BROWN`
`static java.lang.String` | `CORAL`
`static java.lang.String` | `CYAN`
`static java.lang.String` | `DARKGOLGENROD`
`static java.lang.String` | `DARKGRAY`
`static java.lang.String` | `DARKGREEN`
`static java.lang.String` | `DARKOLIVEGREEN`
`static java.lang.String` | `DARKORANGE`
`static java.lang.String` | `DARKORCHID`
`static java.lang.String` | `DARKSALMON`
`static java.lang.String` | `DARKTURQUOISE`
`static java.lang.String` | `DARKVIOLET`
`static java.lang.String` | `DEEPPINK`
`static java.lang.String` | `DEEPSKYBLUE`
`static java.lang.String` | `FORESTGREEN`
`static java.lang.String` | `FUCHSIA`
`static java.lang.String` | `GOLD`
`static java.lang.String` | `GOLDENROD`
`static java.lang.String` | `GRAY`
`static java.lang.String` | `GREEN`
`static java.lang.String` | `GREENYELLOW`
`static java.lang.String` | `HOTPINK`
`static java.lang.String` | `INDIANRED`
`static java.lang.String` | `IVORY`
`static java.lang.String` | `KHALI`
`static java.lang.String` | `LAVENDER`
`static java.lang.String` | `LAWNGREEN`
`static java.lang.String` | `LIGHTBLUE`
`static java.lang.String` | `LIGHTCORAL`
`static java.lang.String` | `LIGHTCYAN`
`static java.lang.String` | `LIGHTGRAY`
`static java.lang.String` | `LIGHTPINK`
`static java.lang.String` | `LIGHTSALMON`
`static java.lang.String` | `LIGHTSKYBLUE`
`static java.lang.String` | `LIGHTYELLOW`
`static java.lang.String` | `LIME`
`static java.lang.String` | `LIMEGREEN`
`static java.lang.String` | `MAGENTA`
`static java.lang.String` | `MAROON`
`static java.lang.String` | `MEDIUMBLUE`
`static java.lang.String` | `MEDIUMPURPLE`
`static java.lang.String` | `MIDNIGHTBLUE`
`static java.lang.String` | `NAVY`
`static java.lang.String` | `OLIVE`
`static java.lang.String` | `ORANGE`
`static java.lang.String` | `ORANGERED`
`static java.lang.String` | `ORCHID`
`static java.lang.String` | `PALEGREEN`
`static java.lang.String` | `PALETURQUOISE`
`static java.lang.String` | `PALEVIOLETRED`
`static java.lang.String` | `PINK`
`static java.lang.String` | `PLUM`
`static java.lang.String` | `PURPLE`
`static java.lang.String` | `RED`
`static java.lang.String` | `SALMON`
`static java.lang.String` | `SEAGREEN`
`static java.lang.String` | `SIENNA`
`static java.lang.String` | `SKYBLUE`
`static java.lang.String` | `SPRINGGREEN`
`static java.lang.String` | `TELA`
`static java.lang.String` | `TURQUOISE`
`static java.lang.String` | `VIOLET`
`static java.lang.String` | `WHITE`
`static java.lang.String` | `YELLOW`
`static java.lang.String` | `YELLOWGREEN`

Constructor Summary
`ChartColor()`

Method Summary
`ChartColor` | `brighter()` get brighter color
`ChartColor` | `darker()` get darker color
`int` | `getBlue()` get blue component
`int` | `getGreen()` get green component
`int` | `getRed()` get red component
`int` | `getRGB()` get rgb value
`java.lang.String` | `getRGBString()` get value as 0xRRGGBB

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RED

    public static java.lang.String RED

### BLACK

    public static java.lang.String BLACK

### BLUE

    public static java.lang.String BLUE

### CYAN

    public static java.lang.String CYAN

### GRAY

    public static java.lang.String GRAY

### DARKGRAY

    public static java.lang.String DARKGRAY

### LIGHTGRAY

    public static java.lang.String LIGHTGRAY

### GREEN

    public static java.lang.String GREEN

### MAGENTA

    public static java.lang.String MAGENTA

### ORANGE

    public static java.lang.String ORANGE

### PINK

    public static java.lang.String PINK

### WHITE

    public static java.lang.String WHITE

### YELLOW

    public static java.lang.String YELLOW

### LIME

    public static java.lang.String LIME

### OLIVE

    public static java.lang.String OLIVE

### MAROON

    public static java.lang.String MAROON

### NAVY

    public static java.lang.String NAVY

### PURPLE

    public static java.lang.String PURPLE

### TELA

    public static java.lang.String TELA

### FUCHSIA

    public static java.lang.String FUCHSIA

### AQUA

    public static java.lang.String AQUA

### ALICEBLUE

    public static java.lang.String ALICEBLUE

### ANTIQUEWHITE

    public static java.lang.String ANTIQUEWHITE

### AQUAMARINE

    public static java.lang.String AQUAMARINE

### AZURE

    public static java.lang.String AZURE

### BEIGE

    public static java.lang.String BEIGE

### BLUEVIOLET

    public static java.lang.String BLUEVIOLET

### BROWN

    public static java.lang.String BROWN

### BORLYWOOD

    public static java.lang.String BORLYWOOD

### CORAL

    public static java.lang.String CORAL

### DARKGOLGENROD

    public static java.lang.String DARKGOLGENROD

### DARKGREEN

    public static java.lang.String DARKGREEN

### DARKOLIVEGREEN

    public static java.lang.String DARKOLIVEGREEN

### DARKORANGE

    public static java.lang.String DARKORANGE

### DARKORCHID

    public static java.lang.String DARKORCHID

### DARKSALMON

    public static java.lang.String DARKSALMON

### DARKTURQUOISE

    public static java.lang.String DARKTURQUOISE

### DARKVIOLET

    public static java.lang.String DARKVIOLET

### DEEPPINK

    public static java.lang.String DEEPPINK

### DEEPSKYBLUE

    public static java.lang.String DEEPSKYBLUE

### FORESTGREEN

    public static java.lang.String FORESTGREEN

### GOLD

    public static java.lang.String GOLD

### GOLDENROD

    public static java.lang.String GOLDENROD

### GREENYELLOW

    public static java.lang.String GREENYELLOW

### HOTPINK

    public static java.lang.String HOTPINK

### INDIANRED

    public static java.lang.String INDIANRED

### IVORY

    public static java.lang.String IVORY

### KHALI

    public static java.lang.String KHALI

### LAVENDER

    public static java.lang.String LAVENDER

### LAWNGREEN

    public static java.lang.String LAWNGREEN

### LIGHTBLUE

    public static java.lang.String LIGHTBLUE

### LIGHTCORAL

    public static java.lang.String LIGHTCORAL

### LIGHTCYAN

    public static java.lang.String LIGHTCYAN

### LIGHTPINK

    public static java.lang.String LIGHTPINK

### LIGHTSALMON

    public static java.lang.String LIGHTSALMON

### LIGHTSKYBLUE

    public static java.lang.String LIGHTSKYBLUE

### LIGHTYELLOW

    public static java.lang.String LIGHTYELLOW

### LIMEGREEN

    public static java.lang.String LIMEGREEN

### MEDIUMBLUE

    public static java.lang.String MEDIUMBLUE

### MEDIUMPURPLE

    public static java.lang.String MEDIUMPURPLE

### MIDNIGHTBLUE

    public static java.lang.String MIDNIGHTBLUE

### ORANGERED

    public static java.lang.String ORANGERED

### ORCHID

    public static java.lang.String ORCHID

### PALEGREEN

    public static java.lang.String PALEGREEN

### PALETURQUOISE

    public static java.lang.String PALETURQUOISE

### PALEVIOLETRED

    public static java.lang.String PALEVIOLETRED

### PLUM

    public static java.lang.String PLUM

### SALMON

    public static java.lang.String SALMON

### SEAGREEN

    public static java.lang.String SEAGREEN

### SIENNA

    public static java.lang.String SIENNA

### SKYBLUE

    public static java.lang.String SKYBLUE

### SPRINGGREEN

    public static java.lang.String SPRINGGREEN

### TURQUOISE

    public static java.lang.String TURQUOISE

### VIOLET

    public static java.lang.String VIOLET

### YELLOWGREEN

    public static java.lang.String YELLOWGREEN

Constructor Detail

### ChartColor

    public ChartColor()

Method Detail

### getRed

    public int getRed()

  get red component

  Returns:

### getBlue

    public int getBlue()

  get blue component

  Returns:

### getGreen

    public int getGreen()

  get green component

  Returns:

### getRGB

    public int getRGB()

  get rgb value

  Returns:

### getRGBString

    public java.lang.String getRGBString()

  get value as 0xRRGGBB

  Returns:

### darker

    public ChartColor darker()

  get darker color

  Returns:

### brighter

    public ChartColor brighter()

  get brighter color

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD